Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1818)
+++ palm/trunk/SOURCE/header.f90	(revision 1822)
@@ -19,6 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+! Tails removed. icloud_scheme replaced by microphysics_*
+!
 ! Former revisions:
 ! -----------------
@@ -275,12 +275,10 @@
                density_ratio, dissipation_classes, dt_min_part, dt_prel,       &
                dt_write_particle_data, end_time_prel,                          &
-               maximum_number_of_tailpoints, maximum_tailpoint_age,            &
-               minimum_tailpoint_distance, number_of_particle_groups,          &
-               particle_advection, particle_advection_start,                   &
+               number_of_particle_groups, particle_advection,                  &
+               particle_advection_start,                                       &
                particles_per_point, pdx, pdy, pdz,  psb, psl, psn, psr, pss,   &
                pst, radius, radius_classes, random_start_position,             &
                seed_follows_topography,                                        &
-               total_number_of_particles, use_particle_tails,                  &
-               use_sgs_for_particles, total_number_of_tails,                   &
+               total_number_of_particles, use_sgs_for_particles,               &
                vertical_particle_advection, write_particle_statistics
         
@@ -1700,14 +1698,4 @@
                                    slicer_range_limits_dvrp(:,m)
              ENDIF
-          ELSEIF ( mode_dvrp(i)(1:9) == 'particles' )  THEN
-             WRITE ( io, 363 )  dvrp_psize
-             IF ( particle_dvrpsize /= 'none' )  THEN
-                WRITE ( io, 364 )  'size', TRIM( particle_dvrpsize ), &
-                                   dvrpsize_interval
-             ENDIF
-             IF ( particle_color /= 'none' )  THEN
-                WRITE ( io, 364 )  'color', TRIM( particle_color ), &
-                                   color_interval
-             ENDIF
           ENDIF
           i = i + 1
@@ -1782,7 +1770,7 @@
        WRITE ( io, 415 )
        WRITE ( io, 416 ) surface_pressure, r_d, rho_surface, cp, l_v
-       IF ( icloud_scheme == 0 )  THEN
+       IF ( microphysics_seifert )  THEN
           WRITE ( io, 510 ) 1.0E-6_wp * nc_const
-          IF ( precipitation )  WRITE ( io, 511 ) c_sedimentation
+          WRITE ( io, 511 ) c_sedimentation
        ENDIF
     ENDIF
@@ -1796,14 +1784,12 @@
        WRITE ( io, 432 )
        IF ( cloud_top_radiation )  WRITE ( io, 132 )
-       IF ( icloud_scheme == 1 )  THEN
-          IF ( precipitation )  WRITE ( io, 133 )
-       ELSEIF ( icloud_scheme == 0 )  THEN
+       IF ( microphysics_kessler )  THEN
+          WRITE ( io, 133 )
+       ELSEIF ( microphysics_seifert )  THEN
           IF ( drizzle )  WRITE ( io, 506 )
-          IF ( precipitation )  THEN
-             WRITE ( io, 505 )
-             IF ( turbulence )  WRITE ( io, 507 )
-             IF ( ventilation_effect )  WRITE ( io, 508 )
-             IF ( limiter_sedimentation )  WRITE ( io, 509 )
-          ENDIF
+          WRITE ( io, 505 )
+          IF ( turbulence )  WRITE ( io, 507 )
+          IF ( ventilation_effect )  WRITE ( io, 508 )
+          IF ( limiter_sedimentation )  WRITE ( io, 509 )
        ENDIF
     ELSEIF ( humidity  .AND.  cloud_droplets )  THEN
@@ -1872,12 +1858,4 @@
        IF ( particles_per_point > 1 )  WRITE ( io, 489 )  particles_per_point
        WRITE ( io, 495 )  total_number_of_particles
-       IF ( use_particle_tails  .AND.  maximum_number_of_tailpoints /= 0 )  THEN
-          WRITE ( io, 483 )  maximum_number_of_tailpoints
-          IF ( minimum_tailpoint_distance /= 0 )  THEN
-             WRITE ( io, 484 )  total_number_of_tails,      &
-                                minimum_tailpoint_distance, &
-                                maximum_tailpoint_age
-          ENDIF
-       ENDIF
        IF ( dt_write_particle_data /= 9999999.9_wp )  THEN
           WRITE ( io, 485 )  dt_write_particle_data
@@ -2215,8 +2193,4 @@
 362 FORMAT (/'       Slicer plane ',A/ &
             '       Slicer limits: [',F6.2,',',F6.2,']')
-363 FORMAT (/'       Particles'/ &
-            '          particle size:  ',F7.2,' m')
-364 FORMAT ('          particle ',A,' controlled by "',A,'" with interval [', &
-                       F6.2,',',F6.2,']')
 365 FORMAT (/'       Groundplate color: (',F4.2,',',F4.2,',',F4.2,') (R,G,B)'/ &
             '       Superelevation along (x,y,z): (',F4.1,',',F4.1,',',F4.1, &
@@ -2377,8 +2351,4 @@
 481 FORMAT ('       Particles have random start positions'/)
 482 FORMAT ('          Particles are advected only horizontally'/)
-483 FORMAT ('       Particles have tails with a maximum of ',I3,' points')
-484 FORMAT ('            Number of tails of the total domain: ',I10/ &
-            '            Minimum distance between tailpoints: ',F8.2,' m'/ &
-            '            Maximum age of the end of the tail:  ',F8.2,' s')
 485 FORMAT ('       Particle data are written on file every ', F9.1, ' s')
 486 FORMAT ('       Particle statistics are written on file'/)
